Bug 36648 - new port: mail/archivemail: archive/compress/delete old messages from mailbox files
Summary: new port: mail/archivemail: archive/compress/delete old messages from mailbox...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-04-02 08:20 UTC by Alan E
Modified: 2002-05-19 20:46 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alan E 2002-04-02 08:20:03 UTC
Archivemail searches through mailbox files (in any of a number of
formats) and selects messages older than N days to be moved to a new,
optionally-compressed, mbox-format file. Selected messages can also be
appended to an existing archive file, or simply deleted.

WWW: http://archivemail.sourceforge.net/

--AlanE

Fix: ==8<====8<====8<====8<====8<====8<====8<====8<====8<====8<==


==8<====8<====8<====8<====8<====8<====8<====8<====8<====8<==--IKfTa2ciccJVYLpsfuokwXB35cmhlybOfc5gPqLzWh11EeOf
Content-Type: text/plain; name="file.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	mail/archivemail
#	mail/archivemail/distinfo
#	mail/archivemail/Makefile
#	mail/archivemail/pkg-comment
#	mail/archivemail/pkg-descr
#	mail/archivemail/pkg-plist
#
echo c - mail/archivemail
mkdir -p mail/archivemail > /dev/null 2>&1
echo x - mail/archivemail/distinfo
sed 's/^X//' >mail/archivemail/distinfo << 'END-of-mail/archivemail/distinfo'
XMD5 (archivemail-0.1.0.tar.gz) = c91ff273fec65c5ecafc9016bb2a9392
END-of-mail/archivemail/distinfo
echo x - mail/archivemail/Makefile
sed 's/^X//' >mail/archivemail/Makefile << 'END-of-mail/archivemail/Makefile'
X# ex:ts=8
X#
X# New ports collection makefile for:	archivemail
X# Date created:		2002/04/02
X# Whom:			Alan Eldridge <ports@geeksrus.net>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	archivemail
XPORTVERSION=	0.1.0
XCATEGORIES=	mail
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=	${PORTNAME}
X
XMAINTAINER=	ports@geeksrus.net
X
XNO_BUILD=	yes
XUSE_PYTHON=	yes
X
Xdo-install:
X	${MKDIR} ${PREFIX}/bin
X	${INSTALL_SCRIPT} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin/${PORTNAME}
X
X.include <bsd.port.pre.mk>
X.include <bsd.port.post.mk>
X#EOF
END-of-mail/archivemail/Makefile
echo x - mail/archivemail/pkg-comment
sed 's/^X//' >mail/archivemail/pkg-comment << 'END-of-mail/archivemail/pkg-comment'
XSearch mailbox files and archive or delete mail older than N days
END-of-mail/archivemail/pkg-comment
echo x - mail/archivemail/pkg-descr
sed 's/^X//' >mail/archivemail/pkg-descr << 'END-of-mail/archivemail/pkg-descr'
XArchivemail searches through mailbox files (in any of a number of
Xformats) and selects messages older than N days to be moved to a new,
Xoptionally-compressed, mbox-format file. Selected messages can also be
Xappended to an existing archive file, or simply deleted.
X
XWWW: http://archivemail.sourceforge.net/
X
X--AlanE
END-of-mail/archivemail/pkg-descr
echo x - mail/archivemail/pkg-plist
sed 's/^X//' >mail/archivemail/pkg-plist << 'END-of-mail/archivemail/pkg-plist'
Xbin/archivemail
END-of-mail/archivemail/pkg-plist
exit
Comment 1 Pete Fritchman freebsd_committer 2002-05-19 20:46:32 UTC
State Changed
From-To: open->closed

New port added, thanks!